Package rdkit :: Package Dbase :: Module DbModule

[hide private]
[frames] | no frames]

# Module DbModule

source code

Variables | [hide private]

| fileWildcard = `None` hash(x)
| RDTestDatabase = `"::RDTests"`
| sqlTextTypes = `[]`
| sqlIntTypes = `[]`
| sqlFloatTypes = `[]`
| sqlBinTypes = `[]`
| getTablesSql = `"""select name from SQLite_Master where type='t`...``
| getTablesAndViewsSql = `"""select name from SQLite_Master where`...``
| getDbSql = `None` hash(x)
| dbFileWildcard = `'*.sqlt'`
| placeHolder = `'?'`
| binaryTypeName = `"blob"`
| binaryHolder = `memoryview if six.PY3 else buffer`
| connect = `lambda x,* args:`

Imports: six, RDConfig, PgSQL, sqlite

Variables Details | [hide private]

### getTablesSql

Value:

      """select name from SQLite_Master where type='table'"""

### getTablesAndViewsSql

Value:

      """select name from SQLite_Master where type in ('table','view')"""